Subject: Re: Does git belong in root's $PATH?

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 07 Jan 2006 12:49:04 -0800

Linus Torvalds wrote:
> 
> Maybe it would be best to remove the "vmlinux" dependency from "make 
> install" (so that "make install" will do exactly that: just install).  I 
> think all the documentation already tells you to do a "make" and then a 
> "make install".
> 

I would very much agree with this change; it's a nuisance that "make 
install" can't be cleanly run as root without leaving root turds in the 
build directory.

(Speaking as the person who did the original "make install" patch about 
12 years ago.)

	-hpa